AUDIT_NAME_TO_SYSCALL(3)

NAME
audit_name_to_syscall - Convert the syscall name to the numeric syscall value

SYNOPSIS
#include <libaudit.h>

int audit_name_to_syscall(const char *sc, int machine);

DESCRIPTION
audit_name_to_syscall() converts the syscall name to the numeric syscall value. sc is the syscall name. machine is the enum value of the machine type defined in machine_t. machine can be obtained by calling audit_detect_machine(3).

RETURN VALUE
Returns -1 if an error occurs; otherwise, the return value is the numeric syscall value.

SEE ALSO
audit_syscall_to_name(3), audit_detect_machine(3).

AUTHOR
Steve Grubb